=== debian/changelog ===
iwyu (3.3-4) unstable; urgency=medium

  * Make iwyu co-installable with clang 3.5 (Closes: #734900)
  * Standards-Version updated to 3.9.5
  * Switch the default clang to 3.4

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 15 Jan 2014 10:14:58 +0100

iwyu (3.3-3) unstable; urgency=low

  * Remove the trailing debian/ from debian/control
  * Also ship fix_include in iwyu. It applies the changes (Closes: #728590)
  * Fix the clean of the package
  * Remove the "SEE ALSO" section from the manpage (Closes: #722225)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 04 Nov 2013 09:02:17 +0100

iwyu (3.3-2) unstable; urgency=low

  * clang is a mandatory dependency (Closes: #722132)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 08 Sep 2013 12:33:59 +0200

iwyu (3.3-1) unstable; urgency=low

  * Initial release (Closes: #721267)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 29 Aug 2013 17:16:23 +0200
