=== debian/control ===
Source: iwyu
Section: devel
Priority: extra
Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
Uploaders: Sylvestre Ledru <sylvestre@debian.org>
Build-Depends: debhelper (>= 8.0.0), cmake, libclang-3.3-dev, llvm-3.3-dev,
 help2man
Standards-Version: 3.9.5
Homepage: http://code.google.com/p/include-what-you-use/
Vcs-Svn: svn://svn.debian.org/svn/pkg-llvm/iwyu/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-llvm/iwyu/trunk/

Package: iwyu
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, clang-3.3 | clang-3.4 | clang-3.5, python
Description: Analyze #includes in C and C++ source files
 "Include what you use" means this: for every symbol (type, function variable,
 or macro) that you use in foo.cc, either foo.cc or foo.h should #include a .h
 file that exports the declaration of that symbol. The include-what-you-use
 tool is a program that can be built with the clang libraries in order to
 analyze #includes of source files to find include-what-you-use violations,
 and suggest fixes for them.
 .
 The main goal of include-what-you-use is to remove superfluous #includes.
 It does this both by figuring out what #includes are not actually needed for
 this file (for both .cc and .h files), and replacing #includes with
 forward-declares when possible.
