## iwyu 3.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -40,6 +40,10 @@
       -we4238 # Promote 'nonstandard extension used : class rvalue used as lvalue' to error.
     )
   endif()
+
+  if( CMAKE_SYSTEM_NAME MATCHES "Darwin" )
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility-inlines-hidden")
+  endif()
 else()
   message(STATUS "IWYU in-tree configuration")
 endif()
@@ -61,6 +65,11 @@
 )
 
 if( MSVC )
+  # Disable warnings for IWYU
+  add_definitions(
+    -wd4722 # Suppress ''destructor'' : destructor never returns, potential memory leak
+  )
+
   # Put project in solution folder
   set_target_properties(include-what-you-use
     PROPERTIES FOLDER "Clang executables"
@@ -86,6 +95,11 @@
 
 # LLVM dependencies.
 target_link_libraries(include-what-you-use
+  LLVMX86AsmParser # MC, MCParser, Support, X86Desc, X86Info
+  LLVMX86Desc # MC, Support, X86AsmPrinter, X86Info
+  LLVMX86AsmPrinter # MC, Support, X86Utils
+  LLVMX86Info # MC, Support, Target
+  LLVMX86Utils # Core, Support
   LLVMipo
   LLVMScalarOpts
   LLVMInstCombine
@@ -93,11 +107,13 @@
   LLVMipa
   LLVMAnalysis
   LLVMTarget
-  LLVMMC
-  LLVMMCParser
-  LLVMCore
+  LLVMMC # Object, Support
+  LLVMMCParser # MC, Support
+  LLVMObject # Support
+  LLVMCore # Support
   LLVMSupport
   LLVMBitReader
+  LLVMOption
 )
 
 # Platform dependencies.
@@ -109,6 +125,7 @@
   target_link_libraries(include-what-you-use
     pthread
     dl
+    curses
   )
 endif()
