=== Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 TOOL_NO_EXPORTS = 1
 
 include $(CLANG_LEVEL)/../../Makefile.config
-LINK_COMPONENTS = $(TARGETS_TO_BUILD) asmparser bitreader ipo
+LINK_COMPONENTS = $(TARGETS_TO_BUILD) asmparser bitreader ipo option
 USEDLIBS = clangFrontend.a clangSerialization.a clangDriver.a clangParse.a \
            clangSema.a clangAnalysis.a clangAST.a clangEdit.a clangLex.a \
            clangBasic.a
