=== debian/changelog ===
iwyu (3.4-1) unstable; urgency=medium

  * New upstream release
  * Add libncurses5-dev as a build deps
  * Add a watch file

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 06 May 2014 17:11:05 +0200
