=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
-Build-Depends: debhelper (>= 8.0.0), cmake, libclang-3.3-dev, llvm-3.3-dev,
- help2man
+Build-Depends: debhelper (>= 8.0.0), cmake, libclang-3.4-dev, llvm-3.4-dev,
+ help2man, libncurses5-dev
 Standards-Version: 3.9.5
 Homepage: http://code.google.com/p/include-what-you-use/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-llvm/iwyu/trunk/
