=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 	dh $@ --buildsystem=cmake --builddirectory=$(TARGET_BUILD)
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DLLVM_PATH=/usr/lib/llvm-3.3/
+	dh_auto_configure -- -DLLVM_PATH=/usr/lib/llvm-3.4/
 
 override_dh_auto_build:
 	dh_auto_build
