=== debian/watch ===
version=3
https://code.google.com/p/include-what-you-use/ \
http://include-what-you-use.com/downloads/include-what-you-use-(.*).src.tar.gz
