## iwyu 3.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,12 +5,27 @@
 if( CMAKE_SOURCE_DIR STREQUAL CMAKE_CURRENT_SOURCE_DIR )
   message(STATUS "IWYU out-of-tree configuration")
 
-  if( NOT DEFINED LLVM_PATH )
-    message(FATAL_ERROR "LLVM_PATH must be provided using -DLLVM_PATH=<path to llvm package root>")
+  if( DEFINED LLVM_PATH )
+    set(IWYU_LLVM_ROOT_PATH ${LLVM_PATH})
+    message(WARNING "LLVM_PATH is deprecated, use IWYU_LLVM_ROOT_PATH instead.")
   endif()
 
-  link_directories(${LLVM_PATH}/lib)
-  include_directories(${LLVM_PATH}/include)
+  if( DEFINED IWYU_LLVM_INCLUDE_PATH AND DEFINED IWYU_LLVM_LIB_PATH )
+    # User provided include/lib paths, fall through
+  elseif ( DEFINED IWYU_LLVM_ROOT_PATH )
+    # Synthesize include/lib relative to a root.
+    set(IWYU_LLVM_INCLUDE_PATH ${IWYU_LLVM_ROOT_PATH}/include)
+    set(IWYU_LLVM_LIB_PATH ${IWYU_LLVM_ROOT_PATH}/lib)
+  else()
+    # If none provided, fail.
+    message(FATAL_ERROR
+      "Don't know how to find LLVM headers/libraries. "
+      "Use -DIWYU_LLVM_ROOT_PATH=/xyz or both "
+      "-DIWYU_LLVM_INCLUDE_PATH=/xyz/include and -DIWYU_LLVM_LIB_PATH=/xyz/lib")
+  endif()
+
+  include_directories(${IWYU_LLVM_INCLUDE_PATH})
+  link_directories(${IWYU_LLVM_LIB_PATH})
 
   add_definitions(
     -D__STDC_LIMIT_MACROS
@@ -48,6 +63,16 @@
   message(STATUS "IWYU in-tree configuration")
 endif()
 
+# Pick up SVN revision so we can report it
+# in version information.
+include(FindSubversion)
+if( Subversion_FOUND AND EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/.svn" )
+  Subversion_WC_INFO(${CMAKE_CURRENT_SOURCE_DIR} IWYU)
+endif()
+add_definitions(
+  -DIWYU_SVN_REVISION="${IWYU_WC_REVISION}"
+)
+
 add_executable(include-what-you-use
   iwyu.cc
   iwyu_ast_util.cc
@@ -65,9 +90,10 @@
 )
 
 if( MSVC )
-  # Disable warnings for IWYU
+  # Disable warnings for IWYU, and disable exceptions in MSVC's STL.
   add_definitions(
     -wd4722 # Suppress ''destructor'' : destructor never returns, potential memory leak
+    -D_HAS_EXCEPTIONS=0
   )
 
   # Put project in solution folder
@@ -75,8 +101,8 @@
     PROPERTIES FOLDER "Clang executables"
   )
 else()
-  # Disable RTTI to be compatible with LLVM/Clang libraries.
-  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-rtti")
+  # Disable RTTI, use C++11 to be compatible with LLVM/Clang libraries.
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-rtti -std=c++11")
 endif()
 
 # Clang dependencies.
@@ -95,11 +121,14 @@
 
 # LLVM dependencies.
 target_link_libraries(include-what-you-use
-  LLVMX86AsmParser # MC, MCParser, Support, X86Desc, X86Info
-  LLVMX86Desc # MC, Support, X86AsmPrinter, X86Info
+  LLVMX86AsmParser # MC, MCParser, Support, X86CodeGen, X86Desc, X86Info
+  LLVMX86CodeGen # Analysis, AsmPrinter, CodeGen, Core, MC, Support, Target, 
+                 # X86AsmPrinter, X86Desc, X86Info, X86Utils
+  LLVMX86Desc # MC, MCDisassembler, Object, Support, X86AsmPrinter, X86Info
   LLVMX86AsmPrinter # MC, Support, X86Utils
-  LLVMX86Info # MC, Support, Target
+  LLVMX86Info # Support
   LLVMX86Utils # Core, Support
+  LLVMCodeGen # Analysis, Core, MC, Scalar, Support, Target, TransformUtils
   LLVMipo
   LLVMScalarOpts
   LLVMInstCombine
@@ -107,26 +136,36 @@
   LLVMipa
   LLVMAnalysis
   LLVMTarget
+  LLVMOption # Support
+  LLVMMCDisassembler # MC, Support
+  LLVMMCParser # MC, Support
   LLVMMC # Object, Support
-  LLVMMCParser # MC, Support
-  LLVMObject # Support
+  LLVMObject # BitReader, Core, Support
+  LLVMBitReader # Core, Support
   LLVMCore # Support
   LLVMSupport
-  LLVMBitReader
-  LLVMOption
 )
 
 # Platform dependencies.
-if( WIN32 )
+if( CMAKE_SYSTEM_NAME MATCHES "Windows" )
   target_link_libraries(include-what-you-use
     shlwapi
   )
 else()
+  # POSIX
+  include(FindCurses)
   target_link_libraries(include-what-you-use
     pthread
-    dl
-    curses
+    z
+    ${CURSES_LIBRARIES}
   )
+
+  # Only Linux targets need dl for dynamic linking.
+  if( CMAKE_SYSTEM_NAME MATCHES "Linux" )
+    target_link_libraries(include-what-you-use
+      dl
+    )
+  endif()
 endif()
 
 install(TARGETS include-what-you-use
