=== Makefile ===
--- 
+++ 
@@ -35,6 +35,12 @@
   LIBS += -lshlwapi
 endif
 
+# Provide SVN revision for version string like in clang/lib/Basic/Makefile.
+IWYU_SVN_REVISION := $(strip \
+        $(shell $(LLVM_SRC_ROOT)/utils/GetSourceVersion $(PROJ_SRC_DIR)))
+
+CPP.Defines += -DIWYU_SVN_REVISION='"$(IWYU_SVN_REVISION)"'
+
 check-iwyu:: all
 	./run_iwyu_tests.py
 	./fix_includes_test.py
