=== debian/changelog ===
iwyu (3.6-1) unstable; urgency=low

  * Team upload (Sylvestre prepared the upload)
  * New upstream release (Closes: #795499)

 -- Michael Vogt <mvo@debian.org>  Fri, 14 Aug 2015 20:00:47 +0200

ciwyu (3.5-1) unstable; urgency=medium

  * Upload to unstable

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 16 Jun 2015 11:14:00 +0200

iwyu (3.5-1~exp1) experimental; urgency=medium

  * New upstream release
  * Switch to llvm/clang 3.5
  * Standards-Version updated to 3.9.6

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 30 Dec 2014 14:32:11 +0100
