=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: extra
 Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
-Build-Depends: debhelper (>= 8.0.0), cmake, libclang-3.4-dev, llvm-3.4-dev,
- help2man, libncurses5-dev
-Standards-Version: 3.9.5
-Homepage: http://code.google.com/p/include-what-you-use/
+Build-Depends: debhelper (>= 8.0.0), cmake, libclang-3.6-dev, llvm-3.6-dev,
+ help2man, libncurses5-dev, zlib1g-dev
+Standards-Version: 3.9.6
+Homepage: http://include-what-you-use.org/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-llvm/iwyu/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-llvm/iwyu/trunk/
 
 Package: iwyu
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, clang-3.3 | clang-3.4 | clang-3.5, python
+Depends: ${shlibs:Depends}, ${misc:Depends}, clang-3.3 | clang-3.4 | clang-3.5 | clang-3.6 | clang-3.7 | clang-3.8, python
 Description: Analyze #includes in C and C++ source files
  "Include what you use" means this: for every symbol (type, function variable,
  or macro) that you use in foo.cc, either foo.cc or foo.h should #include a .h
