=== debian/changelog ===
iwyu (3.7-1) unstable; urgency=medium

  * New upstream release
  * Remove old dep from the list (clang-3.3 | clang-3.4)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 26 Dec 2015 23:56:01 +0100

iwyu (3.6-2) unstable; urgency=medium

  * Fix the FTBFS under kfreebsd
    Thanks to Steven Chamberlain for the patch
    (Closes: #794563)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 08 Sep 2015 08:48:51 +0200
