=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
-Build-Depends: debhelper (>= 8.0.0), cmake, libclang-3.6-dev, llvm-3.6-dev,
+Build-Depends: debhelper (>= 8.0.0), cmake, libclang-3.7-dev, llvm-3.7-dev,
  help2man, libncurses5-dev, zlib1g-dev
 Standards-Version: 3.9.6
 Homepage: http://include-what-you-use.org/
@@ -12,7 +12,7 @@
 
 Package: iwyu
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, clang-3.3 | clang-3.4 | clang-3.5 | clang-3.6 | clang-3.7 | clang-3.8, python
+Depends: ${shlibs:Depends}, ${misc:Depends}, clang-3.5 | clang-3.6 | clang-3.7 | clang-3.8, python
 Description: Analyze #includes in C and C++ source files
  "Include what you use" means this: for every symbol (type, function variable,
  or macro) that you use in foo.cc, either foo.cc or foo.h should #include a .h
