## iwyu 3.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,9 @@
 cmake_minimum_required(VERSION 2.8)
+
+if( POLICY CMP0048 )
+  # Silence CMP0048 warning about missing project VERSION.
+  cmake_policy(SET CMP0048 NEW)
+endif()
 
 project(include-what-you-use)
 
@@ -56,7 +61,7 @@
     )
   endif()
 
-  if( CMAKE_SYSTEM_NAME MATCHES "Darwin" )
+  if( APPLE )
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility-inlines-hidden")
   endif()
 else()
@@ -65,11 +70,14 @@
 
 # Pick up Git revision so we can report it in version information.
 include(FindGit)
-if( GIT_FOUND )
+if( GIT_FOUND AND EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/.git" )
   execute_process(COMMAND ${GIT_EXECUTABLE} rev-parse --short HEAD
     WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
     OUTPUT_VARIABLE IWYU_GIT_REV
     OUTPUT_STRIP_TRAILING_WHITESPACE)
+else()
+  message(STATUS "Warning: IWYU Git version info not found, DO NOT release "
+                 "from this build tree!")
 endif()
 add_definitions(-DIWYU_GIT_REV="${IWYU_GIT_REV}")
 
@@ -88,6 +96,11 @@
   iwyu_preprocessor.cc
   iwyu_verrs.cc
 )
+
+if( MINGW )
+  # Work around 'too many sections' error with MINGW/GCC
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wa,-mbig-obj")
+endif()
 
 if( MSVC )
   # Disable warnings for IWYU, and disable exceptions in MSVC's STL.
@@ -133,7 +146,6 @@
   LLVMScalarOpts
   LLVMInstCombine
   LLVMTransformUtils
-  LLVMipa
   LLVMTarget # Analysis, MC, Core, Support
   LLVMAnalysis # Core, Support
   LLVMOption # Support
@@ -147,25 +159,22 @@
 )
 
 # Platform dependencies.
-if( CMAKE_SYSTEM_NAME MATCHES "Windows" )
+if( WIN32 )
   target_link_libraries(include-what-you-use
     shlwapi
   )
-else()
-  # POSIX
+elseif( UNIX )
   include(FindCurses)
   target_link_libraries(include-what-you-use
     pthread
     z
     ${CURSES_LIBRARIES}
+    ${CMAKE_DL_LIBS}
   )
-
-  # Only Linux targets need dl for dynamic linking.
-  if( CMAKE_SYSTEM_NAME MATCHES "Linux" )
-    target_link_libraries(include-what-you-use
-      dl
-    )
-  endif()
+else()
+  message(WARNING
+    "Unknown system: ${CMAKE_SYSTEM_NAME}. "
+    "No platform link-dependencies added.")
 endif()
 
 install(TARGETS include-what-you-use RUNTIME DESTINATION bin)
