=== debian/changelog ===
iwyu (3.8-1) unstable; urgency=medium

  * New upstream release
  * Switch to clang 3.8
  * Standards-Version to 3.9.8

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 25 Jun 2016 20:16:19 +0200
