=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: extra
 Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
-Build-Depends: debhelper (>= 8.0.0), cmake, libclang-3.7-dev, llvm-3.7-dev,
+Build-Depends: debhelper (>= 8.0.0), cmake, libclang-3.8-dev, llvm-3.8-dev,
  help2man, libncurses5-dev, zlib1g-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://include-what-you-use.org/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-llvm/iwyu/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-llvm/iwyu/trunk/
