## iwyu 3.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8)
+cmake_minimum_required(VERSION 3.4.3)
 
 if( POLICY CMP0048 )
   # Silence CMP0048 warning about missing project VERSION.
@@ -152,6 +152,7 @@
   LLVMMCDisassembler # MC, Support
   LLVMMCParser # MC, Support
   LLVMMC # Object, Support
+  LLVMProfileData # Core, Support, Object
   LLVMObject # BitReader, Core, Support
   LLVMBitReader # Core, Support
   LLVMCore # Support
@@ -179,3 +180,7 @@
 
 install(TARGETS include-what-you-use RUNTIME DESTINATION bin)
 install(PROGRAMS fix_includes.py iwyu_tool.py DESTINATION bin)
+
+# Install mapping files
+file(GLOB MAPPING_FILES *.imp)
+install(FILES ${MAPPING_FILES} DESTINATION share/include-what-you-use)
