=== debian/changelog ===
iwyu (3.9-2) unstable; urgency=medium

  * Rebuild to manage clang 3.9.1 (Closes: #849402)
    yes, this needs to be properly fixed and managed at runtime
  * Remove usr/bin/fix_includes.py to fix script-with-language-extension 
    (was already shipped under fix_includes anyway)
  * Rename usr/bin/iwyu_tool.py to usr/bin/iwyu_tool

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 26 Dec 2016 18:49:23 +0100

iwyu (3.9-1) unstable; urgency=medium

  * New upstream release
    (Closes: #828734)
  * Fix FTBFS on mips64el (Closes: #775435)
    Thanks to James Cowgill

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 10 Nov 2016 12:49:29 +0100
