=== debian/rules ===
--- 
+++ 
@@ -6,12 +6,19 @@
 
 TARGET_BUILD=iwyu-build
 VERSION=$(shell dpkg-parsechangelog |grep "^Version:"|sed -e "s|Version: \(.*\)|\1|")
+DEB_BUILD_ARCH?=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
+ADDITIONAL_CXX_FLAGS=""
+
+ifneq (,$(filter $(DEB_BUILD_ARCH),mips64el))
+	ADDITIONAL_CXX_FLAGS += -mxgot
+endif
 
 %:
 	dh $@ --buildsystem=cmake --builddirectory=$(TARGET_BUILD)
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DLLVM_PATH=/usr/lib/llvm-3.8/
+	dh_auto_configure -- -DCMAKE_CXX_FLAGS="$(ADDITIONAL_CXX_FLAGS)" -DLLVM_PATH=/usr/lib/llvm-3.9/
+
 
 override_dh_auto_build:
 	dh_auto_build
@@ -19,5 +26,12 @@
 	cd $(TARGET_BUILD) && ln -s include-what-you-use.1 iwyu.1 && \
 	cp ../fix_includes.py fix_include
 
+override_dh_auto_install:
+	dh_auto_install
+	cd debian/iwyu/usr/bin; \
+		rm -f fix_includes.py; \
+		mv iwyu_tool.py iwyu_tool
+
+
 override_dh_auto_clean:
 	rm -rf $(TARGET_BUILD)
