=== debian/changelog ===
iwyu (4.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version updated to 4.0.0
  * bump llvm deps to 4.0

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 03 Aug 2017 11:10:20 +0200
