## iwyu 5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -160,7 +160,8 @@
   LLVMProfileData # Core, Support, Object
   LLVMObject # BitReader, Core, Support
   LLVMBitReader # Core, Support
-  LLVMCore # Support
+  LLVMCore # BinaryFormat, Support
+  LLVMBinaryFormat # Support
   LLVMSupport # Demangle
   LLVMDemangle
 )
@@ -173,9 +174,12 @@
   )
 elseif( UNIX )
   include(FindCurses)
+  include(FindBacktrace)
+
   target_link_libraries(include-what-you-use
     pthread
     z
+    ${Backtrace_LIBRARIES}
     ${CURSES_LIBRARIES}
     ${CMAKE_DL_LIBS}
   )
