=== debian/changelog ===
iwyu (5.0-1) unstable; urgency=medium

  * New upstream release
  * Switch to llvm/clang 5
  * Add clang-7 as part of the options
  * Standards-Version updated to 4.1.3

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 07 Feb 2018 20:56:47 +0100

iwyu (4.0-2) unstable; urgency=medium

  * Cleanup the list of dependencies to add clang and remove
    old clang versionc
  * Standards-Version updated to 4.1.1
  * fix priority-extra-is-replaced-by-priority-optional

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 21 Nov 2017 12:03:26 +0100
