=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: iwyu
 Section: devel
-Priority: extra
+Priority: optional
 Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
-Build-Depends: debhelper (>= 10.0.0), cmake, libclang-4.0-dev, llvm-4.0-dev,
+Build-Depends: debhelper (>= 10.0.0), cmake, libclang-5.0-dev, llvm-5.0-dev,
  help2man, libncurses5-dev, zlib1g-dev
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Homepage: http://include-what-you-use.org/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-llvm/iwyu/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-llvm/iwyu/trunk/
 
 Package: iwyu
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, clang-3.5 | clang-3.6 | clang-3.7 | clang-3.8 | clang-3.9 | clang-4.0 | clang-5.0 | clang-6.0, python
+Depends: ${shlibs:Depends}, ${misc:Depends}, clang | clang-4.0 | clang-5.0 | clang-6.0 | clang-7,
+ python
 Description: Analyze #includes in C and C++ source files
  "Include what you use" means this: for every symbol (type, function variable,
  or macro) that you use in foo.cc, either foo.cc or foo.h should #include a .h
