=== debian/changelog ===
iwyu (6.0-2) unstable; urgency=medium

  * Switch to llvm/clang 7
    - debian/patches/clang-7-build.diff needed
  * Standards-Version updated to 4.2.1
  * Fix space-in-std-shortname-in-dep5-copyright
  * Also ship a manpage for iwyu_tool
  * Refresh manpage for fix_include

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 23 Sep 2018 22:12:33 +0100

iwyu (6.0-1) unstable; urgency=medium

  * New upstream release
    - Switched to llvm/clang 6
  * Package moved to salsa & git

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 28 Apr 2018 10:20:19 +0200
