=== debian/control ===
--- 
+++ 
@@ -3,16 +3,17 @@
 Priority: optional
 Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
-Build-Depends: debhelper (>= 10.0.0), cmake, libclang-5.0-dev, llvm-5.0-dev,
+Build-Depends: debhelper (>= 10.0.0), cmake, libclang-7-dev, llvm-7-dev,
  help2man, libncurses5-dev, zlib1g-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Homepage: http://include-what-you-use.org/
-Vcs-Svn: svn://svn.debian.org/svn/pkg-llvm/iwyu/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/pkg-llvm/iwyu/trunk/
+Vcs-Git: https://salsa.debian.org/pkg-llvm-team/iwyu.git
+Vcs-Browser: https://salsa.debian.org/pkg-llvm-team/iwyu
 
 Package: iwyu
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, clang | clang-4.0 | clang-5.0 | clang-6.0 | clang-7,
+Depends: ${shlibs:Depends}, ${misc:Depends}, 
+ clang | clang-4.0 | clang-5.0 | clang-6.0 | clang-7 | clang-8,
  python
 Description: Analyze #includes in C and C++ source files
  "Include what you use" means this: for every symbol (type, function variable,
