=== debian/changelog ===
iwyu (7.0-3) unstable; urgency=medium

  * Link against latomic on armhf to workaround a FTBFS
    Thanks to Adrian Bunk (Closes: #918060)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 03 Jan 2019 16:01:39 +0100

iwyu (7.0-2) unstable; urgency=medium

  * chrpath -d was enough to be able to remove my bad workaround

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 27 Dec 2018 12:12:15 +0100

iwyu (7.0-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 27 Dec 2018 11:22:19 +0100
