=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
-Build-Depends: debhelper (>= 10.0.0), cmake, libclang-7-dev, llvm-7-dev,
- help2man, libncurses5-dev, zlib1g-dev
+Build-Depends: debhelper (>= 10.0.0), cmake, clang-7, libclang-7-dev,
+ llvm-7-dev, help2man, libncurses5-dev, zlib1g-dev, chrpath
+Build-Conflicts: llvm-5.0-dev, llvm-6.0-dev
 Standards-Version: 4.2.1
 Homepage: http://include-what-you-use.org/
 Vcs-Git: https://salsa.debian.org/pkg-llvm-team/iwyu.git
@@ -12,7 +13,7 @@
 
 Package: iwyu
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, 
+Depends: ${shlibs:Depends}, ${misc:Depends},
  clang | clang-4.0 | clang-5.0 | clang-6.0 | clang-7 | clang-8,
  python
 Description: Analyze #includes in C and C++ source files
