=== debian/rules ===
--- 
+++ 
@@ -13,18 +13,25 @@
 	ADDITIONAL_CXX_FLAGS += -mxgot
 endif
 
+ifneq (,$(filter $(DEB_HOST_ARCH), armel))
+	export DEB_LDFLAGS_MAINT_APPEND = -latomic
+endif
+
 %:
 	dh $@ --buildsystem=cmake --builddirectory=$(TARGET_BUILD)
 
+
 override_dh_auto_configure:
-	dh_auto_configure -- -DCMAKE_CXX_FLAGS="$(ADDITIONAL_CXX_FLAGS)" -DLLVM_PATH=/usr/lib/llvm-7/
+	dh_auto_configure -- -DCMAKE_CXX_FLAGS="$(ADDITIONAL_CXX_FLAGS)" -DLLVM_PATH=/usr/lib/llvm-7/ -DCMAKE_PREFIX_PATH=/usr/lib/llvm-7/
 
 
 override_dh_auto_build:
 	dh_auto_build
-	help2man --no-info --version-string "$(VERSION)" -n "Analyze #includes in C and C++ source files" $(TARGET_BUILD)/include-what-you-use > $(TARGET_BUILD)/include-what-you-use.1
+	help2man --no-info --version-string "$(VERSION)" -n "Analyze #includes in C and C++ source files" $(TARGET_BUILD)/bin/include-what-you-use > $(TARGET_BUILD)/include-what-you-use.1
 	cd $(TARGET_BUILD) && ln -s include-what-you-use.1 iwyu.1 && \
 	cp ../fix_includes.py fix_include
+	chrpath -d $(TARGET_BUILD)/bin/include-what-you-use
+
 
 override_dh_auto_install:
 	dh_auto_install
@@ -35,3 +42,4 @@
 
 override_dh_auto_clean:
 	rm -rf $(TARGET_BUILD)
+
