=== debian/watch ===
version=3
https://github.com/include-what-you-use/include-what-you-use/tags .*/clang_(.*)\.tar\.gz
