=== debian/changelog ===
iwyu (8.0-3build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:14:14 +0100

iwyu (8.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Rely on pre-initialized dpkg-architecture variables.

  [ Sylvestre Ledru ]
  * Move to llvm/clang 9 (instead of 8)
  * Move dep to python 3 (Closes: #945688)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 01 Jan 2020 13:51:01 +0100

iwyu (8.0-2) unstable; urgency=medium

  * Cherry-pick the upstream patch to address
    the struct issue (Closes: #929492)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 05 Nov 2019 11:52:50 +0100

iwyu (8.0-1) unstable; urgency=medium

  * Upload to unstable

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 07 Jul 2019 09:58:08 +0200

iwyu (8.0-1~exp1) experimental; urgency=medium

  * New upstream release
  * Uses clang-8

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 28 Apr 2019 11:24:24 +0200
