=== debian/control ===
--- 
+++ 
@@ -3,19 +3,19 @@
 Priority: optional
 Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
-Build-Depends: debhelper (>= 10.0.0), cmake, clang-7, libclang-7-dev,
- llvm-7-dev, help2man, libncurses5-dev, zlib1g-dev, chrpath
+Build-Depends: debhelper-compat (= 12), cmake, clang-9, libclang-9-dev,
+ llvm-9-dev, help2man, libncurses5-dev, zlib1g-dev, chrpath
 Build-Conflicts: llvm-5.0-dev, llvm-6.0-dev
 Standards-Version: 4.2.1
-Homepage: http://include-what-you-use.org/
+Homepage: https://include-what-you-use.org/
 Vcs-Git: https://salsa.debian.org/pkg-llvm-team/iwyu.git
 Vcs-Browser: https://salsa.debian.org/pkg-llvm-team/iwyu
 
 Package: iwyu
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- clang | clang-4.0 | clang-5.0 | clang-6.0 | clang-7 | clang-8,
- python
+ clang | clang-4.0 | clang-5.0 | clang-6.0 | clang-7 | clang-8 | clang-9 | clang-10,
+ python3
 Description: Analyze #includes in C and C++ source files
  "Include what you use" means this: for every symbol (type, function variable,
  or macro) that you use in foo.cc, either foo.cc or foo.h should #include a .h
