=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 TARGET_BUILD=iwyu-build
 VERSION=$(shell dpkg-parsechangelog |grep "^Version:"|sed -e "s|Version: \(.*\)|\1|")
-DEB_BUILD_ARCH?=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
+include /usr/share/dpkg/architecture.mk
 ADDITIONAL_CXX_FLAGS=""
 
 ifneq (,$(filter $(DEB_BUILD_ARCH),mips64el))
@@ -22,7 +22,7 @@
 
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DCMAKE_CXX_FLAGS="$(ADDITIONAL_CXX_FLAGS)" -DLLVM_PATH=/usr/lib/llvm-7/ -DCMAKE_PREFIX_PATH=/usr/lib/llvm-7/
+	dh_auto_configure -- -DCMAKE_CXX_FLAGS="$(ADDITIONAL_CXX_FLAGS)" -DLLVM_PATH=/usr/lib/llvm-9/ -DCMAKE_PREFIX_PATH=/usr/lib/llvm-9/
 
 
 override_dh_auto_build:
@@ -42,4 +42,3 @@
 
 override_dh_auto_clean:
 	rm -rf $(TARGET_BUILD)
-
